High Priest Biotin:
The Human Wizard is an advanced Mystic who can practice elemental magic, black magic and summoning magic. Also, the Wizard can strike down enemies directly with the most powerful magic. However, the Wizard must turn away from the arts of white magic and summoning magic in order to concentrate on attack magic. Nevertheless, it's quite a fascinating profession, particularly in its ability to summon servitors.
Some Wizards decide to train at Oren's Ivory Tower, to attain a still more advanced profession, such as Sorcerer, Warlock or Necromancer. However, there are not many that can achieve such a high level; it is not as easy as you might think.
Ask about changing profession to a Wizard
Return